import * as echarts from "echarts";
export default function getData() {
    let params = [
        [20, 22, 11, 24, 20, 30, 10],
        [20, 32, 19, 34, 19, 30, 20]
    ]
    console.log(params)
    return {
        color: ['rgba(77,237,255,1)', 'rgba(228,46,121,1)', ],
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                type: 'cross',
                label: {
                    backgroundColor: '#6a7985'
                }
            }
        },
        toolbox: {},
        grid: {
            left: 0,
            right: 10,
            bottom: 0,
            top: 20,
            containLabel: true
        },
        xAxis: [{
            type: 'category',
            boundaryGap: false,
            axisLabel: {
                color: "#FFFFFF",
            },
            axisTick: {
                show: false,
            },
            data: ['1', '2', '3', '4', '5', '6', '7']
        }],
        yAxis: [{
            type: 'value',
            axisLabel: {
                color: "#FFFFFF",
            },
            axisTick: {
                show: false,
            },
            splitLine: {
                show: true,
                lineStyle: {
                    color: "rgba(44,90,101,.5)",
                }
            }
        }],
        series: [{
                name: '离线警告',
                type: 'line',
                stack: '总量',
                smooth: true,
                lineStyle: {
                    width: 0
                },
                // showSymbol: false,
                areaStyle: {
                    opacity: 0.8,
                    color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
                        offset: 0,
                        color: 'rgba(77,237,255,1)'
                    }, {
                        offset: 1,
                        color: 'rgba(77,237,255,.1)'
                    }])
                },
                emphasis: {
                    focus: 'series'
                },
                data: params[0]
            },
            {
                name: '异常警告',
                type: 'line',
                stack: '总量',
                smooth: true,
                lineStyle: {
                    width: 0
                },
                // showSymbol: false,
                areaStyle: {
                    opacity: 0.8,
                    color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
                        offset: 0,
                        color: 'rgba(228,46,121,1)'
                    }, {
                        offset: 1,
                        color: 'rgba(228,46,121,.1)'
                    }])
                },
                emphasis: {
                    focus: 'series'
                },
                data: params[1]
            },
        ]
    };
}