import * as echarts from "echarts";
export default function getData() {
    let data = Array.from(Array(7)).map((val, ind) => {
        let day = new Date(new Date().getTime() - (7 - ind - 1) * 24 * 60 * 60 * 1000)
        return {
            day: (day.getMonth() + 1) + "." + (day.getDate() < 10 ? "0" + day.getDate() : day.getDate()),
            val: {
                value: Math.ceil(Math.random() * 10),
                itemStyle: {
                    color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
                        offset: 0,
                        color: 'rgba(77,237,255,1)'
                    }, {
                        offset: 1,
                        color: 'rgba(77,237,255,.1)'
                    }])
                },
            }
        }
    })
    return {
        color: ["rgba(4,187,255,1)"],
        xAxis: {
            type: "category",
            // data: data.map(val => val.day),
            data: data.map((val, ind) => ind + 1),
            axisLabel: {
                color: "#FFFFFF",
            },
            axisTick: {
                show: false,
            },
            axisLine: {
                show: true,
                lineStyle: {
                    color: "rgba(44,90,101,1)",
                }
            },
        },
        yAxis: {
            type: "value",
            max: function(value) {
                return value.max + value.max * 0.2;
            },
            axisLine: {
                show: true,
                lineStyle: {
                    color: "rgba(44,90,101,1)",
                }
            },
            axisLabel: {
                color: "#FFFFFF",
            },
            axisTick: {
                show: false,
            },
            splitLine: {
                show: true,
                lineStyle: {
                    color: "rgba(44,90,101,.5)",
                }
            }
        },
        grid: {
            top: 20,
            left: 25,
            right: 10,
            bottom: 20,
        },
        series: [{
            type: "pictorialBar",
            barCategoryGap: "50%",
            symbol: 'path://M0,10 L10,10 L5,0 L0,10 z',
            label: {
                normal: {
                    show: true,
                    position: "top",
                    textStyle: {
                        color: "#fff",
                    }
                }
            },
            showBackground: true,
            backgroundStyle: {
                color: "rgba(25,63,128,1)"
            },
            // markPoint: {
            //     data: [
            //         { type: 'max', name: '最大值', label: { color: "#fff", } },
            //     ]
            // },
            data: data.map(item => item.val),
        }, ],
    }
}